Skip to main content
GET
/
v1
/
contracts
/
{contractId}
Get Contract
curl --request GET \
  --url https://api.monk.com/v1/contracts/{contractId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "customerId": "<string>",
    "planId": "<string>",
    "name": "<string>",
    "startDate": "2023-12-25",
    "endDate": "2023-12-25",
    "isActive": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "metadata": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.monk.com/llms.txt

Use this file to discover all available pages before exploring further.

Scope: contracts:read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contractId
string
required

Response

Contract found

data
object